import { OnInit } from '@angular/core';
import { WorkflowFacadeService } from '../services/wf-facade.service';
import { WorkflowObjectType } from '../models/types';
import { PreconditionData } from '../services/node-precondition.service';
import * as i0 from "@angular/core";
export declare class WFDesignerComponent implements OnInit {
    workflowId: import("@angular/core").InputSignal<string>;
    facade: WorkflowFacadeService;
    private saving;
    readonly workflowName: import("@angular/core").Signal<string>;
    readonly workflowDescription: import("@angular/core").Signal<string>;
    readonly isSaving: import("@angular/core").Signal<boolean>;
    constructor();
    ngOnInit(): void;
    private loadWorkflow;
    handleToolSelection(tool: WorkflowObjectType | null): void;
    handleSave(): void;
    handleNodeSelection(data: PreconditionData): void;
    handleNodeSelectionCancel(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WFDesignerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WFDesignerComponent, "wf-designer", never, { "workflowId": { "alias": "workflowId"; "required": true; "isSignal": true; }; }, {}, never, never, true, never>;
}
